SMBLDAP-POPULATE.CMD(8)

NAME
smbldap-populate - Populate your LDAP database

SYNOPSIS
smbldap-populate [ldif-file]

DESCRIPTION
The smbldap-populate command helps to populate an LDAP server by adding the necessary entries : base suffix (doesn't abort if already there), organizational units for users, groups and computers, builtin users : Administrator and guest, builtin groups (though posixAccount only, no SambaTNG support).

-a name Your local administrator login name (default: root)

-b name Your local guest login name (default: nobody)

-e file export an ldif file

-i file import an ldif file (Options -a and -b will be ignored)

FILES
/etc/smbldap-tools/smbldap.conf : main configuration /etc/smbldap-tools/smbldap_bind.conf : credentials for binding to the directory

SEE ALSO
smb.conf(5)